Bug 428371 - virtualization documentation needs to be more specific about limitations.
virtualization documentation needs to be more specific about limitations.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Virtualization_Guide (Show other bugs)
5.3
All Linux
low Severity low
: rc
: ---
Assigned To: Christopher Curran
Don Domingo
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 00:53 EST by Norm Murray
Modified: 2010-10-22 17:39 EDT (History)
1 user (show)

See Also:
Fixed In Version: 5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-22 02:52:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wade Mealing 2008-01-11 00:53:51 EST
Description of problem:

The Virtualization Guide currently shows what hardware is supported for fully
and paravirt for x86 but lacks information about other platforms and subsets.

For example:


+  Systems that do not have hw virtualization support like Intel Virualization
Technology (VT) may only support para-virtualized guests.

+ List of which architectures do or do not support driver domains.

+ Indicate which guest types and OS versions are supported for each archetecture
type - eg.

  IA64 Paravirt - RHEL 5.1 or later
  HVM - RHEL 3, RHEL 4, RHEL 5.


Version-Release number of selected component (if applicable):

Current as of: Friday, January 11 2008

Additional info:

You may need engineerings confirmation on the above details.
Comment 2 Christopher Curran 2008-01-29 00:10:15 EST
Wade,

The present para-virt docs are here (fresh off my work queue). These will be
incorporated into the new virtualization guide. There is what limited
information on Itanium2 in that guide. Not much else is known by me and would
require additional technical input from a SME to produce.
https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_Linux/1.1/html-single/Para-Virtualized_Drivers/

The previous versions of the Virtualization Guide are not being fully maintained
as the new (and much improved) guide is being re-based and rewritten. 
Comment 4 Christopher Curran 2008-07-22 02:52:51 EDT
The present version fixes 90% of these issues. A larger fix incorporating this
table (http://www.redhat.com/rhel/server/advanced/virt.html) is scheduled for
release in the 5.3 update.

Note You need to log in before you can comment on or make changes to this bug.